--- freefem/fem/femDisk.cpp.orig	Sat Jul 19 04:09:32 2003
+++ freefem/fem/femDisk.cpp	Sat Jul 19 04:13:43 2003
@@ -95,7 +95,7 @@
     char *result = 0;
     int dummy;
 
-    ifstream fin( path );
+    std::ifstream fin( path );
 
     if ( fin.fail() )
       {
@@ -198,7 +198,7 @@
     int i;
     char *result = NULL;
 
-    ofstream fout( path );
+    std::ofstream fout( path );
 
     if ( fout.fail() )
       {
@@ -210,11 +210,11 @@
      */
     if ((result = strstr (path,".amdba")) != NULL) /* amdba format */
       {
-	fout << t->getNumberOfPoints() << " " << t->getNumberOfCells() << endl;
+	fout << t->getNumberOfPoints() << " " << t->getNumberOfCells() << std::endl;
 
 	for (i = 0; i < t->getNumberOfPoints(); i++)
 	  {
-	    fout << i+1 << " " << t->rp[i][0] << " " << t->rp[i][1] << " " << t->ng[i] << endl;
+	    fout << i+1 << " " << t->rp[i][0] << " " << t->rp[i][1] << " " << t->ng[i] << std::endl;
 	  }
       
       
@@ -224,13 +224,13 @@
 		 << " " << t->tr[i][0]+1
 		 << " " << t->tr[i][1]+1
 		 << " " << t->tr[i][2]+1
-		 << " " << t->ngt[i] << endl;
+		 << " " << t->ngt[i] << std::endl;
 	  }
       }
     else if ((result = strstr (path,".am_fmt")) != NULL)/* am_fmt format */
       {
 #if 0
-	fout << t->getNumberOfPoints() << " " << t->getNumberOfCells() < endl;
+	fout << t->getNumberOfPoints() << " " << t->getNumberOfCells() < std::endl;
       
 	dummy = 0;
 	for (i = 0; i < t->getNumberOfCells(); i++)
@@ -238,39 +238,39 @@
 	    fout << t->tr[i][0]+1
 		 << " " << t->tr[i][1]+1
 		 << " " << t->tr[i][2]+1
-		 << endl;
+		 << std::endl;
 	    END_OF_LINE(data, dummy, 1);
 	  }
 	if (dummy) fprintf(data,"\n");
 	dummy = 0;
 	for (i = 0; i < t->getNumberOfPoints(); i++)
 	  {
-	    fout << t->rp[i][0] << " " << t->rp[i][1] << endl;
+	    fout << t->rp[i][0] << " " << t->rp[i][1] << std::endl;
 	    END_OF_LINE (data, dummy, 1);
 	  }
 	if (dummy) fprintf(data,"\n");
 	dummy = 0;
 	for (i = 0; i < t->getNumberOfCells(); i++)
 	  {
-	    fout << t->ngt[i] << endl;
+	    fout << t->ngt[i] << std::endl;
 	    END_OF_LINE (data, dummy, 9);
 	  }
 	if (dummy) fprintf(data,"\n");
 	dummy = 0;
 	for (i = 0; i < t->getNumberOfPoints(); i++)
 	  {
-	    fout << t->ng[i] << endl;
+	    fout << t->ng[i] << std::endl;
 	    END_OF_LINE (data, dummy, 9);
 	  }
 #endif
       }
     else
       {
-	fout << t->getNumberOfPoints() << " " << t->getNumberOfCells() << endl;
+	fout << t->getNumberOfPoints() << " " << t->getNumberOfCells() << std::endl;
 
 	for (i = 0; i < t->getNumberOfPoints(); i++)
 	  {
-	    fout << t->rp[i][0] << " " << t->rp[i][1] << " " << t->ng[i] << endl;
+	    fout << t->rp[i][0] << " " << t->rp[i][1] << " " << t->ng[i] << std::endl;
 	  }
       
       
@@ -279,7 +279,7 @@
 	    fout << t->tr[i][0]+1
 		 << " " << t->tr[i][1]+1
 		 << " " << t->tr[i][2]+1
-		 << " " << t->ngt[i] << endl;
+		 << " " << t->ngt[i] << std::endl;
 	  }
       }
     return 0;
@@ -317,9 +317,9 @@
   saveparam (fcts * param, femMesh * t, char *path, int N)
   {
     int k, ns = t->getNumberOfPoints();
-    ofstream file (path);
+    std::ofstream file (path);
     file.precision (8);
-    file << ns << "	" << N << endl;
+    file << ns << "	" << N << std::endl;
     for (k = 0; k < ns; k++)
       {
 	if (N == 1)
@@ -373,7 +373,7 @@
 	    file << (param)->nuyy2[k] << " ";
 	    file << "		";
 	  }
-	file << endl;
+	file << std::endl;
       }
     file.close ();
     return 0;
@@ -383,9 +383,9 @@
   int 
   saveconst (creal f, char *path)
   {
-    ofstream file (path, ios::out | ios::app);
-    //  file.seekoff(0,ios::end,0);
-    file << f << endl;
+    std::ofstream file (path, std::ios::out | std::ios::app);
+    //  file.seekoff(0,std::ios::end,0);
+    file << f << std::endl;
     file.close ();
     return 0;
   }

